> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/api.md).

# API

- [Stacks Node RPC](https://docs.stacks.co/reference/api/stacks-node-rpc.md)
- [Transactions](https://docs.stacks.co/reference/api/stacks-node-rpc/transactions.md)
- [Smart Contracts](https://docs.stacks.co/reference/api/stacks-node-rpc/smart-contracts.md)
- [Accounts](https://docs.stacks.co/reference/api/stacks-node-rpc/accounts.md)
- [Fees](https://docs.stacks.co/reference/api/stacks-node-rpc/fees.md)
- [Info](https://docs.stacks.co/reference/api/stacks-node-rpc/info.md)
- [Mining](https://docs.stacks.co/reference/api/stacks-node-rpc/mining.md)
- [Blocks](https://docs.stacks.co/reference/api/stacks-node-rpc/blocks.md)
- [Signers](https://docs.stacks.co/reference/api/stacks-node-rpc/signers.md)
- [Atlas](https://docs.stacks.co/reference/api/stacks-node-rpc/atlas.md)
- [Stacker DB](https://docs.stacks.co/reference/api/stacks-node-rpc/stacker-db.md)
- [Models](https://docs.stacks.co/reference/api/stacks-node-rpc/models.md)
- [Stacks Blockchain API](https://docs.stacks.co/reference/api/stacks-blockchain-api.md)
- [Usage](https://docs.stacks.co/reference/api/stacks-blockchain-api/usage.md): Learn the basics of using the Stacks Blockchain API.
- [Architecture](https://docs.stacks.co/reference/api/stacks-blockchain-api/architecture.md): How the Stacks Blockchain API fits between a Stacks node and your app.
- [Pagination](https://docs.stacks.co/reference/api/stacks-blockchain-api/pagination.md): Learn how to paginate through lists.
- [Nonce Handling](https://docs.stacks.co/reference/api/stacks-blockchain-api/nonce-handling.md): Learn how to handle nonces on Stacks.
- [Requesting Proofs](https://docs.stacks.co/reference/api/stacks-blockchain-api/requesting-proofs.md): Understand proof requests from API endpoints.
- [Accounts](https://docs.stacks.co/reference/api/stacks-blockchain-api/accounts.md)
- [Blocks](https://docs.stacks.co/reference/api/stacks-blockchain-api/blocks.md)
- [Burn Blocks](https://docs.stacks.co/reference/api/stacks-blockchain-api/burn-blocks.md)
- [Faucets](https://docs.stacks.co/reference/api/stacks-blockchain-api/faucets.md)
- [Info](https://docs.stacks.co/reference/api/stacks-blockchain-api/info.md)
- [Search](https://docs.stacks.co/reference/api/stacks-blockchain-api/search.md)
- [Smart Contracts](https://docs.stacks.co/reference/api/stacks-blockchain-api/smart-contracts.md)
- [Tokens](https://docs.stacks.co/reference/api/stacks-blockchain-api/tokens.md)
- [Transactions](https://docs.stacks.co/reference/api/stacks-blockchain-api/transactions.md)
- [Mempool](https://docs.stacks.co/reference/api/stacks-blockchain-api/mempool.md)
- [Proof Of Transfer](https://docs.stacks.co/reference/api/stacks-blockchain-api/proof-of-transfer.md)
- [Staking](https://docs.stacks.co/reference/api/stacks-blockchain-api/staking.md)
- [Stacks Mesh API](https://docs.stacks.co/reference/api/stacks-mesh-api.md)
- [Network](https://docs.stacks.co/reference/api/stacks-mesh-api/network.md)
- [Construction](https://docs.stacks.co/reference/api/stacks-mesh-api/construction.md)
- [Models](https://docs.stacks.co/reference/api/stacks-mesh-api/models.md)
- [USDCx Bridge](https://docs.stacks.co/reference/api/usdcx-bridge.md)
- [Deposits](https://docs.stacks.co/reference/api/usdcx-bridge/deposits.md)
- [Withdrawals](https://docs.stacks.co/reference/api/usdcx-bridge/withdrawals.md)
- [sBTC Bridge](https://docs.stacks.co/reference/api/sbtc-bridge.md)
- [Chainstate](https://docs.stacks.co/reference/api/sbtc-bridge/chainstate.md)
- [CORS](https://docs.stacks.co/reference/api/sbtc-bridge/cors.md)
- [Deposit](https://docs.stacks.co/reference/api/sbtc-bridge/deposit.md)
- [Health](https://docs.stacks.co/reference/api/sbtc-bridge/health.md)
- [Limits](https://docs.stacks.co/reference/api/sbtc-bridge/limits.md)
- [Throttle](https://docs.stacks.co/reference/api/sbtc-bridge/throttle.md)
- [Withdrawal](https://docs.stacks.co/reference/api/sbtc-bridge/withdrawal.md)
- [Models](https://docs.stacks.co/reference/api/sbtc-bridge/models.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stacks.co/reference/api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
